#include "CAIBombDangerZone.h"



CAIBombDangerZone::CAIBombDangerZone()
{

}

CAIBombDangerZone::~CAIBombDangerZone()
{

}

//-----------------------------------------
//
//-----------------------------------------

void CAIBombDangerZone::init()
{
	m_checkCollision=false;	
}

void CAIBombDangerZone::Draw()
{
	
	//drawBoundingBox();
}

void CAIBombDangerZone::Update()
{

}

void CAIBombDangerZone::Collision(CGameObject* obj)
{
	
}

//-----------------------------------------
//
//-----------------------------------------

void CAIBombDangerZone::setWidth(int x)
{
	m_width=x;	
}

//-----------------------------------------
//
//-----------------------------------------

void CAIBombDangerZone::setHeight(int y)
{
	m_height=y;
}

//---------------------------------------
//
//----------------------------------------

void CAIBombDangerZone::setStrength(int strength)
{
	setWidth(strength * g_Game.getTileSize()*2);
	setHeight(strength * g_Game.getTileSize()*2);

	//You MUST set these to zero before setting the bounding box!!!
	m_Position.x=0;	
	m_Position.y=0;		

	//setup bounding box.
	//For the player we're going to make it the bottom half of the image	
	SetRect(&m_boundingBox,-m_width/2,-g_Game.getTileSize()/2, m_width/2,g_Game.getTileSize()/2);
	//SetRect(&m_boundingBox,-100,-50, m_width/2,g_Game.getTileSize()/2);
	
}